Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 117
Registered: ‎10-22-2008
My Device: Not Specified

How to install Eclipse plug in?

I downloaded the Eclipse plugin for Blackberry development?  Now what?  The instructions say 'Window/Preferences - expand Blackberry JDE Item' but no such entry exists.

 

The download consists of two folders, features and plugins.  There is nothing in the instructions about HOW to install this.  I tried just manually copying the 'plugins' files to the 'plugins' folder under Eclipse, but that did not seem to do anything.

 

Am I missing something?

 

Thanks.

 

Eclispse 3.4
JDE 5
Bold/Tour/Storm
BlackBerry Development Advisor
Posts: 15,700
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: How to install Eclipse plug in?

Here you go:

 

1.  Start Eclipse.

2.  Select the Help menu and choose Software Updates.

3.  Click on the Available Software tab.

4.  Click on the Add Site button.

5.  Click on the Local button.

6.  Select the site.xml file of the (unzipped) BlackBerry JDE Plug-in for Eclipse.

7.  Click Next through the installation prompts.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Developer
Posts: 117
Registered: ‎10-22-2008
My Device: Not Specified

Re: How to install Eclipse plug in?

Once I build a test application in Eclipse (thanks for the help), how do I get the code into the blackberry emulator to test?  When I 'run' the app in Eclipse, the emulator fires up but app is not installed (or I cannot find it).

 

If I try to install it via the emulator tool bar, there is no .COD file anywhere to be found.

 

Thanks for your help.  I promise once I have the basic mechanics of build/deployment/emulation down, I will not bother with such silly questions.

 

 

Eclispse 3.4
JDE 5
Bold/Tour/Storm
BlackBerry Development Advisor
Posts: 15,700
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: How to install Eclipse plug in?

Please verify that the application built successfully.  To view the build output switch the Console window to display the BlackBerry Builder Console.  Do you see any errors here?

 

If you are creating a MIDlet, please verify that you have changed the default application type from BlackBerry CLDC application to MIDlet.  This is done by opening the project's properties, selecting BlackBerry Project Properties and clicking on the Application tab.

 

Also note that applications installed in the BlackBerry Bold simulator appear in the Downloads folder.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
New Developer
Posts: 4
Registered: ‎10-23-2008
My Device: Not Specified

Re: How to install Eclipse plug in?

I'm not trying to hijack this thread but... I'm also starting off with Eclipse development.  I have installed the Storm simulator, but can't see that as option for a debug target in Eclipse - is there any way to configure Eclipse integration for the Storm simulator?

 

Highlighted
Developer
Posts: 117
Registered: ‎10-22-2008
My Device: Not Specified

Re: How to install Eclipse plug in?

I got it to work.  Thanks.  I just found it under the 'Dowloads' folder on the Blackberry emulator.

 

Next question.  How do I package this thing up and install it on a real Blackberry?  If I create an ALX file or JAR or JAD file and try to install on a Blackberry it does not install.  Some error message pop up.

 

Is there a whitepaper or how-to on deployment?

 

Thanks.

 

Eclispse 3.4
JDE 5
Bold/Tour/Storm
BlackBerry Development Advisor
Posts: 15,700
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: How to install Eclipse plug in?

Yes, you can use additional BlackBerry Simulators.  To do so click on the arrow beside the Debug icon in Eclipse and select Debug Configurations.  Then expand BlackBerry Simulator, click on Debug Server, select the Simulator tab and then choose a different BlackBerry Simulator model.  You can also create a new BlackBerry Simulator instance.

 

However, this simulator is included with the Eclipse Software Update for the JDE 4.7 Component Pack that you can download from here:  http://na.blackberry.com/eng/developers/javaappdev/javaeclipseplug.jsp

 

Once this is installed, you can switch to it by clicking on the Window menu in Eclipse, selecting Preferences, expanding BlackBerry JDE, clicking on Installed Components and selecting version 4.7.0.  This will allow you to use the BlackBerry Storm Simulator and use the new APIs in version 4.7.0 of the BlackBerry API set.

 


 

Please have a look at the following link for information on installing BlackBerry applications.

 

How To - Load applications onto a BlackBerry smartphone
Article Number: DB-00041

http://www.blackberry.com/knowledgecenterpublic/livelink.exe/fetch/2000/348583/800708/800647/How_To_...

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
New Developer
Posts: 4
Registered: ‎10-23-2008
My Device: Not Specified

Re: How to install Eclipse plug in?

[ Edited ]
Thanks MSohm, I had 4.7 already downloaded and following your instructions, I have switched the Eclipse config to use it. Working fine using the 9500! 
This forum is very, very useful. 

 

Message Edited by celios on 10-24-2008 09:40 AM
Developer
Posts: 117
Registered: ‎10-22-2008
My Device: Not Specified

Re: How to install Eclipse plug in?

Sry to be a pain, but still struggling here.  (I did read the 'deploying java applications' doc)

  

I can 'generate ALX' in my project, but when I try to load on my BB using the desktop tool, i get a 'no additions programs were available' when I try to load the .ALX file.

 

If I try to load the .COD file, I get an 'error in line 1 of XML' or something.

 

FYI - the .COD loads fine on all the simulators, 8830, 9500, etc.

 

 

 

Eclispse 3.4
JDE 5
Bold/Tour/Storm
BlackBerry Development Advisor
Posts: 15,700
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: How to install Eclipse plug in?

Please verify the following.

 

What Is - Appropriate version of the BlackBerry JDE
Article Number: DB-00537

http://www.blackberry.com/knowledgecenterpublic/livelink.exe/fetch/2000/348583/800901/What_Is_-_Appr...

 

You may need to install the BlackBerry handheld software on your PC.  You can download this from your carrier's web site.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker